> ## Documentation Index
> Fetch the complete documentation index at: https://docs.otterly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a content check



## OpenAPI

````yaml https://data.otterly.ai/v1/openapi.json post /v1/audits/geo/content-checks
openapi: 3.0.0
info:
  title: Otterly Public API
  version: 1.0.0
servers:
  - url: https://data.otterly.ai
security: []
tags:
  - name: Engines
  - name: Workspaces
  - name: Brand Reports
  - name: Audits
  - name: Accounts
paths:
  /v1/audits/geo/content-checks:
    post:
      tags:
        - Audits
      summary: Create a content check
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicApiCreateContentCheckRequest'
      responses:
        '201':
          description: Content check created.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiCreateContentCheckResponse'
        '400':
          description: Validation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiValidationErrorResponse'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '403':
          description: Forbidden.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
        '429':
          description: Quota exhausted.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    PublicApiCreateContentCheckRequest:
      type: object
      properties:
        workspaceId:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        url:
          type: string
          format: uri
        crawlerIdentity:
          type: string
          enum:
            - ChatGPT-User
            - OAI-SearchBot
            - PerplexityCrawler
            - GoogleBot
          description: Crawler identity to impersonate when fetching the URL.
          example: ChatGPT-User
        sendOtterlyHeader:
          type: boolean
      required:
        - workspaceId
        - url
    PublicApiCreateContentCheckResponse:
      type: object
      properties:
        id:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        workspaceId:
          type: string
          minLength: 1
          example: 01HX7K2YV9D3M8N0G6Q5R4S3T2
        url:
          type: string
        status:
          type: string
          enum:
            - pending
        createdDate:
          type: string
      required:
        - id
        - workspaceId
        - url
        - status
        - createdDate
    PublicApiValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
        target:
          type: string
        errors:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              message:
                type: string
              code:
                type: string
            required:
              - path
              - message
              - code
      required:
        - message
        - target
        - errors
      example:
        message: Validation failed
        target: query
        errors:
          - path: country
            message: Required
            code: invalid_type
    PublicApiErrorResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
      example:
        message: Report not found
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide your API key as a Bearer token: `Authorization: Bearer
        YOUR_API_KEY`.

````